package de.dhbwstuttgart.target.tree.expression;

import de.dhbwstuttgart.target.tree.type.TargetType;

public record TargetTypePattern(TargetType type, String name) implements TargetPattern {
    @Override
    public TargetTypePattern withType(TargetType type) {
        return new TargetTypePattern(type, name);
    }

    @Override
    public TargetTypePattern withName(String name) {
        return new TargetTypePattern(type, name);
    }

    @Override
    public String toString() {
        return type + " " + name;
    }
}
